## Apache Zeta Components Manual :: File Source for input_filter.php

## Source for file input_filter.php

Documentation is available at input_filter.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package UserInput
25. */
27. /**
28. * Provides a set of standard filters.
29. *
30. * This class defines a set of filters that can be used with both with PHP's
31. * filter extension, or with the ezcInputForm class as callback filter method.
32. *
33. * <code>
34. * <?php
35. * $definition = array(
36. * 'special' => array( OPTIONAL, 'callback',
37. * array( 'ezcInputFilter', 'urlFilter' ) ),
38. * );
39. * $form = new ezcInputForm( ezcInputForm::INPUT_GET, $definition );
40. * ?>
41. * </code>
42. *
43. * @package UserInput
44. * @version //autogentag//
45. */
46. class ezcInputFilter
47. {
48. /**
49. * Receives a variable for filtering. The filter function is free to modify
50. * the variable and should return the modified variable.
51. *
52. * @param mixed $value The variable's value
53. * @param string $characterSet The value's character set
54. * @return mixed The modified value of the variable that was passed
55. */
56. static function urlFilter ( $value, $characterSet )
57. {
58. }
59. }
60. ?>

Documentation generated by phpDocumentor 1.4.3